unit Progress;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls, Printers;

type
  TProgressForm = class(TForm)
    ProgressBar1: TProgressBar;
    Msg: TLabel;
    btnCancel: TButton;
    procedure btnCancelClick(Sender: TObject);
    procedure ProcessWinMessages(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ProgressForm: TProgressForm;

implementation

{$R *.DFM}

procedure TProgressForm.btnCancelClick(Sender: TObject);
begin
  Printer.Abort;
  Close;
end;

procedure TProgressForm.ProcessWinMessages(Sender: TObject);
begin
  // Take the opportunity to let Windows do its stuff.
  Application.ProcessMessages;
end;

end.
